language: cn
model_unique_abbr: d8distdowntostream_taudem_ext
version: 1.0
identification:
  docker_image_name: taudem_ext:5.3.9
  model_name: 至河流的距离计算
  semantic: distance to stream grid
  description: 计算每个栅格到最近河栅格点的距离
  category_application: 处方型
  category_data:
  - 栅格数据
  keywords:
  - 地形分析
  - 水文分析
  - 单流向

parameter_info:
  parameters:
  - arg_name: np
    param_type: param
    visible: false
    name: 进程数
    description: mpi计算核数
    data_type: int
    data_semantic: number of process
    specification:
      default: 1
  - arg_name: ' '
    param_type: param
    visible: false
    name: 至河流的距离计算
    description: 至河流的距离计算的算法名称
    data_type: str
    data_semantic: name of d8distdowntostream
    specification:
      default: d8distdowntostream
  - arg_name: fel
    param_type: input_data
    name: 数字高程模型
    description: 已填洼DEM
    data_type: tif
    data_semantic: filled_dem
  - arg_name: p
    param_type: input_data
    name: D8单流向栅格
    description: D8单流向栅格结果
    data_type: tif
    data_semantic: flow_direction
  - arg_name: src
    param_type: input_data
    name: 提取的河网栅格
    description: 提取的河网栅格
    data_type: tif
    data_semantic: stream_raster_grid
  - arg_name: thresh
    is_required: false
    param_type: param
    name: 河道阈值
    description: 大于该阈值的标识为河道，默认1为河道、0是其他
    data_type: float
    data_semantic: thresh
    specification:
      default: 1.0
  - arg_name: m
    is_required: false
    param_type: param
    name: 距离计算方法
    description: 距离计算方法，i.e. h、v、p、s
    data_type: str
    data_semantic: dist_method
    specification:
      default: h
  - arg_name: dist
    param_type: output_data
    name: 至河网距离的栅格
    description: 提取的河网栅格
    data_type: tif
    data_semantic: d8_distance_to_strm

application:
  domain: 水文分析数据预处理
  objective: 计算每个栅格到最近河栅格点的距离
  link_models:
    preorder:
      - d8flowdir
      - rasterstreamgrid_extraction_taudem
  mechanism: 该函数计算从每个网格单元向下游移动的距离，直到遇到所定义的河网栅格单元为止.
operation:
  usage: 使用默认方法d8hdisttostrm，线程数默认为2，可通过-np 指定，（目前使用默认值，不暴露给前端）。
  output_display:
    - 输出结果tif，直接显示
technique:
  language:
    - C++
  os:
    - Windows
    - Linux
    - MacOS
  parallel:
    - MPI
  hardware:
    - CPU
source:
  maintainer: Zi-Yue Chen
  organization: Institute of Geographic Sciences and Natural Resources Research
  contact: chenzy@lreis.ac.cn
  repository: https://github.com/lreis2415/TauDEM_ext
  integrated_softwares:
    - name: taudem_ext
      version: TauDEM5.3
      license: GPLv3license
  references:
    - "O'Callaghan, J. F., Mark, D. M. 1984. The extraction of drainage networks from digital elevation data. Computer Vision, Graphics, and Image Processing, 28(3): 323–344"

